
Core - Bug # 23180

Status: Rejected Priority: Should have
Author: Dmitry Dulepov Category:
Created: 2010-07-14 Assigned To:
Updated: 2011-08-29 Due date:
TYPO3 Version: 4.3
PHP Version: 5.2
Complexity:
Is Regression:
Sprint Focus:
Subject: Starttime/endtime for pages and content is not taken into account when caching
Description

TYPO3 page cache ignores start and end time for content and pages. This causes problems related to caching:
- if a content element has start time set, it will not be shown at that time until the page expires
-  if a content element has end time set, it will be shown after that time until the page expires
- If a page has start time set, it will not be shown at the right time in menu on cached pages until cache for those pages expires
- If a page has end time set, it will be shown in menu on cached pages after the end time causing 404 errors until cache for those
pages expires

(issue imported from #M15116)

Related issues:
related to Core - Feature # 19283: page cache is not influenced by tt_content... Closed 2008-09-03
related to Core - Bug # 20473: Starttime/endtime is not taken into account wh... Closed 2011-06-05

History
#1 - 2011-07-14 23:39 - Stefan Neufeind

Dmitry, could you please see if this is what #20473 (now resolved; you took part in the discussion over there as well) resolves? It looks like from
reading. If so, please close this one.

#2 - 2011-08-02 18:10 - Xavier Perseguers
- Category deleted (Communication)
- Target version changed from 4.6.0-beta1 to 4.6.0-beta2

#3 - 2011-08-29 23:42 - Steffen Gebert
- Assigned To deleted (Dmitry Dulepov)
- Target version deleted (4.6.0-beta2)

I'd say that's fixed with 4.6

#4 - 2011-08-29 23:42 - Steffen Gebert
- Status changed from Accepted to Rejected
